/*-
 * Copyright 2022 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.types;

import java.io.Serial;

import org.xmlobjects.gml.model.GMLObject;

import de.hft.stuttgart.quality.model.enums.ErrorId;

public abstract class Error extends GMLObject {

	@Serial
	private static final long serialVersionUID = 2447962257841143458L;

	private int occurences;
	private ErrorId name;

	public int getOccurences() {
		return occurences;
	}

	public void setOccurences(int occurences) {
		this.occurences = occurences;
	}

	public ErrorId getName() {
		return name;
	}

	public void setName(ErrorId name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "Error [occurences=" + occurences + ", name=" + name + "]";
	}

}
